clauu2.f(3)

NAME
clauu2.f -

SYNOPSIS

  Functions/Subroutines
subroutine CLAUU2 (UPLO, N, A, LDA, INFO)
CLAUU2

Function/Subroutine Documentation

  subroutine CLAUU2 (CHARACTERUPLO, INTEGERN, COMPLEX, dimension( lda, * )A, INTEGERLDA, INTEGERINFO)

CLAUU2

Purpose:

     CLAUU2 computes the product U * U**H or L**H * L, where the triangular
     factor U or L is stored in the upper or lower triangular part of
     the array A.
     If UPLO = 'U' or 'u' then the upper triangle of the result is stored,
     overwriting the factor U in A.
     If UPLO = 'L' or 'l' then the lower triangle of the result is stored,
     overwriting the factor L in A.
     This is the unblocked form of the algorithm, calling Level 2 BLAS.

Parameters:
    UPLO

              UPLO is CHARACTER*1
              Specifies whether the triangular factor stored in the array A
              is upper or lower triangular:
              = 'U':  Upper triangular
              = 'L':  Lower triangular

    N

              N is INTEGER
              The order of the triangular factor U or L.  N >= 0.

    A

              A is COMPLEX array, dimension (LDA,N)
              On entry, the triangular factor U or L.
              On exit, if UPLO = 'U', the upper triangle of A is
              overwritten with the upper triangle of the product U * U**H;
              if UPLO = 'L', the lower triangle of A is overwritten with
              the lower triangle of the product L**H * L.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,N).

    INFO

              INFO is INTEGER
              = 0: successful exit
              < 0: if INFO = -k, the k-th argument had an illegal value

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 103 of file clauu2.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.